Skip to main content
POST /v1/payments/inquiryPayment Queries the status of a payment. If both paymentId and paymentRequestId are provided, paymentId takes priority.

Request Parameters

paymentId
string
Wallet-generated unique payment ID.Max length: 64 characters
paymentRequestId
string
Merchant-generated payment request ID.Max length: 64 characters

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage
paymentId
string
Wallet-generated payment ID.Max length: 64 characters
paymentRequestId
string
Merchant-generated payment ID.Max length: 64 characters
paymentStatus
string
Payment status. Values: SUCCESS, FAIL, PROCESSING, AUTH_SUCCESS
paymentTime
string
Payment completion time in ISO 8601 format.
paymentAmount
object
Payment amount. See Amount.

Result Codes

resultStatusresultCodeDescription
SSUCCESSQuery successful
FPARAM_ILLEGALInvalid parameters
FORDER_NOT_EXISTThe order does not exist
FNO_INTERFACE_DEFAPI is not defined
FINVALID_APIAPI is invalid
FMSG_PARSE_ERRORMessage parse error
FFUNCTION_NOT_MATCHFunction parameter does not match API
FACCESS_DENIEDAccess denied
FINVALID_CLIENTInvalid client
FINVALID_SIGNATURESignature is invalid
FINVALID_CLIENT_STATUSInvalid client status
UUNKNOWN_EXCEPTIONUnknown error occurred
UREQUEST_TRAFFIC_EXCEED_LIMITRate limit exceeded